Package org.jboss.modules.filter

# Interface PathFilter

public interface PathFilter
Filter used to determine whether a path should be included or excluded from imports and exports.

Author:
  John Bailey

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(String path)`
Determine whether a path should be accepted.
`boolean`
`equals(Object other)`
Determine whether this filter is equal to another.
`int`
`hashCode()`
Calculate a unique hash code for this path filter.

## Method Details

### accept

boolean accept(String path)
Determine whether a path should be accepted. The given name is a path separated by "`/`" characters.

Parameters:
  `path` - the path to check
Returns:
  true if the path should be accepted, false if not

### hashCode

int hashCode()
Calculate a unique hash code for this path filter. Equal path filters must yield identical hash codes.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code

### equals

boolean equals(Object other)
Determine whether this filter is equal to another. Filters must implement meaningful (non-identity) equality semantics.

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other object
Returns:
  `true` if this filter is the same